/**
 * @brief           WDT Primitive Header
 * @author          AXELL CORPORATION
 * @description     WDT Primitive提供ヘッダ。<p>WDT Primitive使用時にincludeして下さい。
 * @note            none
 * @history         2017_02_22  初版
 * @history         2017_10_26  Ver2.0
 * @history         2019_03_08  [SDK2.2] WDTのレジスタ値を取得する関数を追加 (#2474)
*/
/* DOM-IGNORE-BEGIN */
/*
 * This program was created by AXELL CORPORATION.
 * Copyright (C) 2017 AXELL CORPORATION, all rights reserved.
 */

#ifndef __WDTPRM_H__
#define __WDTPRM_H__
/* DOM-IGNORE-END */

#include <stdint.h>
#include "lib_common/AG903_common.h"

#ifdef __cplusplus
extern "C" {
#endif

void AG903_WDTPrmGetCount(uint32_t* cnt);
void AG903_WDTPrmSetCount(uint32_t cnt);
void AG903_WDTPrmRestartCount(void);
void AG903_WDTPrmSetControl(_Bool rst, _Bool intr, _Bool ext);
void AG903_WDTPrmEnableCount(void);
void AG903_WDTPrmDisableCount(void);
void AG903_WDTPrmGetStatus(uint32_t* status);
void AG903_WDTPrmClearStatus(void);
void AG903_WDTPrmSetIntrlen(uint8_t intrlen);
void AG903_WDTPrmGetLoad(uint32_t *load);
void AG903_WDTPrmGetControl(_Bool *rst, _Bool *intr, _Bool *ext);
void AG903_WDTPrmGetIntrlen(uint8_t *intrlen);
void AG903_WDTPrmGetRevision(uint8_t *revision);

#ifdef __cplusplus
}
#endif

#endif/* __WDTPRM_H__ */
